Skip to main content
GET
List invoice revisions

Authorizations

Authorization
string
header
required

Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.

Path Parameters

id
string
required

Invoice TypeID (inv_...) whose revision history is returned.

Example:

"inv_01hxy8m1nqk9g3x3y3p0azq2va"

Query Parameters

merchantId
string
required

Merchant TypeID (mer_...) used for authorization scope.

Example:

"mer_01hxy8m1nqk9g3x3y3p0azq2bg"

Response

Revision history for the requested invoice.

invoiceId
string
required
revisionNumber
integer
required
Required range: 0 < x <= 9007199254740991
idempotencyKey
string
required
Minimum string length: 1
currency
string
required

Supported currency code (USD, CAD)

Required string length: 3
lineItems
object[]
required
productTotal
object
required
total
object
required
status
enum<string>
required
Available options:
draft,
issued,
partially_paid,
paid,
void
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
dueDate
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
notes
string
metadata
object
changeReason
string